# Schema for the views plugins of the File module.


views.argument.file_fid:
  type: views.argument.numeric
  label: 'File ID'

views.field.file:
  type: views_field
  label: 'File'
  mapping:
    link_to_file:
      type: boolean
      label: 'Link this field to download the file'

views.filter.file_status:
  type: views.filter.in_operator
  label: 'File status'
